/**
 * ITI 1220 Fall 2005, Assignment 8, Question 2.
 * 
 * Test program for the 'CardHolder' class
 * 
 * @author Alan Williams
 */
public class A8Q2
{
	/**
	 * Main method to start 'CardHolder' class test program.
	 * 
	 * @param args Command line arguments.
	 */
	public static void main( String[] args )
	{
		// DECLARE VARIABLES / DATA DICTIONARY
		
		CardHolder daniel;
		CardHolder alan;
		
		// PRINT IDENTIFICATION INFORMATION
		
		System.out.println( "A8Q2: Test of the class CardHolder" );
		System.out.println( );
	
		// ALGORITHM BODY
		
		// Create some card holders.
		daniel = new CardHolder( "Daniel Amyot", 123456 );
		alan = new CardHolder( "Alan Williams", 654321 );
		
		// Use accessors to print card holder information after constructor
		
		System.out.println( daniel.getName( ) + ", card #"
				+ daniel.getCardNumber( ) );
		System.out
				.println( alan.getName( ) + ", card #" + alan.getCardNumber( ) );
		
		// Change some points
		
		daniel.setNumberOfPoints( 34999 );
		alan.adjustPoints( 45000 );
		alan.adjustPoints( -10000 );
		
		// See if the points changes were recorded correctly.
		
		System.out.println( "Does " + daniel.getName( )
				+ " have at least 35000 points? "
				+ CardHolder.enoughPoints( daniel, 35000 ) );
		System.out.println( "Does " + alan.getName( )
				+ " have at least 35000 points? "
				+ CardHolder.enoughPoints( alan, 35000 ) );
	}
}